//
//  VCService.h
//  Vacuum
//
//  Created by Lukáš Foldýna on 20.01.14.
//  Copyright (c) 2014 Arat. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "DNSSDService.h"


typedef NS_ENUM(NSInteger, VCDeviceType) {
    VCDeviceTypeBonjour = 0,
    VCDeviceTypeBluetooth
};


@class UIImage, NSImage;

@interface VCService : NSObject

- (instancetype) initWithType:(VCDeviceType)type service:(id)service;

@property (nonatomic, strong, readonly) NSString *name;
@property (nonatomic, assign, readonly) VCDeviceType type;
@property (nonatomic, strong) NSString *applicationType;

#if TARGET_OS_IPHONE
@property (nonatomic, strong) UIImage *icon;
#else
@property (nonatomic, strong) NSImage *icon;
#endif
@property (nonatomic, strong) NSString *info;

@property (nonatomic, assign) NSNumber *transporting;
- (BOOL) isTransporting;
- (void) setTransport:(BOOL)value;

@property (nonatomic, strong) NSNumber *progress;

@property (nonatomic, strong, readonly) DNSSDService *bonjourService;

@end
